// filtre bicubique (souvent appele tout simplement filtre B-spline)
function bicubicFilter(value)

  if (value < 0.0) 
    value = -value;
  end;

  if (Value < 1.0) 
    tt = sqr(value);
    result = 0.5*tt*value - tt + 2.0 / 3.0;
  elseif (value < 2.0) 
    value = 2.0 - value;
    result = 1.0/6.0 * sqr(value) * value;
  else
    result = 0.0;
  end;

endfunction;